Getting started

The Windows Media Player is a center for playing and organizing multimedia on your computer and on the Internet. Windows Media Player provides multimedia options for your operating system that were previously not available. It’s like having a radio, movie store, CD player, and information database all in one application. Use Windows Media Player to listen to radio stations from all over the world, play and copy your CDs, look for movies that are available on the Internet, and create customized lists of all media on your computer. Use the following links to get started:

  • Copying and playing CDs

  • Organizing your media collection

  • Changing your audio and video settings

  • Applying a skin to Windows Media Player

  • Setting options

  • Finding media content on the Internet

  • Copying music to your portable device

For late-breaking or other information that supplements the topics in Windows Media Player Help, see the Windows Media Player Readme at the Microsoft Web site .

© 2000 Microsoft Corporation. All rights reserved.


Using Windows Media Player

Microsoft Windows Media Player is a center for playing and organizing multimedia on your computer and on the Internet.

The topics in this section explain how to use the Now Playing, Media Guide, CD Audio, Media Library, Radio Tuner, Portable Device, and Skin Chooser features on the task bar on the left side of Windows Media Player.

Windows Media Player includes function commands that are similar to the buttons found on VCRs and CD players. To access the commands, click the Play menu, and then click the command. You can also access the commands by using the buttons along the bottom edge of Windows Media Player. Drag the slider, which is just above the commands, to specify where you want the file to begin playing.

Windows Media Player play commands

  • Play/Pause

  • Stop

  • Skip Back

  • Skip Forward

  • Rewind (available for video files in Windows Media Format only)

  • Fast Forward (available for video files in Windows Media Format only)

  • Shuffle

  • Repeat

  • Volume

Related topics

  • Copying and playing CDs

  • Organizing your media collection

  • Customizing Windows Media Player

  • Finding media content on the Internet

  • Copying music to your portable device


Copying and playing CDs

To listen or copy music from CDs, use the CD Audio feature. When you put a CD in your CD drive, Windows Media Player begins playing it automatically, unless Windows Media Player is already in use.

You can copy tracks from your CD to your hard disk. A benefit of copying your CDs to your hard disk is that you can easily switch between CDs or songs on CDs without having to change the CD. Another benefit of copying CD tracks to your hard disk is that you can create customized lists of songs, called playlists, which you can arrange however you want. When you copy the CD tracks, you can compress the tracks so that they don’t use as much space on your hard disk.

Related topics

  • Copying music from CDs

  • Playing music from CDs

  • Creating a playlist

  • Understanding the CD Audio feature

  • Compressing copies of CD tracks to use less disk space


Copying music from CDs

Copying music from CDs to your hard disk is easy, and you can even listen to your CD while you are copying the music. Variables such as the CD you are trying to copy and the speed of your CD-ROM will affect the quality of the copy. Even though you are copying digital information from a CD, you may not get an exact copy. Some minor flaws that you may notice while copying CD tracks are faint scratches or pops in the audio. This is normal and is caused by the way your CD-ROM reads information off the CD. Windows Media Player attempts to correct this, but you still may notice very minor flaws.

Note The tracks that you copy from CDs have associated licenses by default. The license enables you to play the tracks on the computer you used to copy the tracks and on a supported portable device. You should back up your licenses to a floppy disk periodically. If you reinstall or upgrade the operating system, your licenses could be lost. For more information about licenses, see Related topics.

If you want to listen to your CD while you are recording the tracks, make sure that you have Digital Copying selected; otherwise your computer will use analog recording. Depending on how your CD player is configured, there is a chance that you will not be able to listen to your CD while you are recording the tracks, especially if you have digital speakers. To check whether Digital Copying is selected, on the Tools menu, click Options, and then click the CD Audio tab.

Note Your hardware (CD-ROM drive and speakers) determines whether you are able to copy and listen to music using digital or analog audio. You should select the settings that work best with your hardware.

To copy an audio CD

  1. Insert your CD into the CD-ROM drive.

  2. Click CD Audio. All tracks are selected if you have not previously copied tracks from the CD. If there are any tracks that you do not want to copy, clear the check box next to that track.

  3. Click Copy Music.

    All selected tracks are copied to the Archive folder and are listed in the Media Library.

    Note To see or change the location of the Archive folder, on the Tools menu, click Options, and then click the CD Audio tab.

Related topics

  • Configuring CD Audio options

  • Compressing copies of CD tracks to use less disk space

  • Understanding licensed files


Compressing copies of CD tracks to use less disk space

A typical audio CD can hold several hundred megabytes of information. When copying CD tracks to your hard disk, you generally do not want to use as much disk space for the tracks as is available on the CD. To use less disk space, the CD tracks should be compressed when they are copied to your hard disk. However, some audio quality is lost when the track is compressed. The better the audio quality when a track is copied, the more disk space is required.

Windows Media Player automatically compresses CD tracks when you copy them to your hard disk; otherwise one CD would use hundreds of megabytes.

To view or modify the settings for copying CD tracks, on the Tools menu, click Options, and then click the CD Audio tab.

The following table shows the range of disk space used for different audio qualities:

Quality | Bit rate | Disk space*
Smallest Size | 64 Kbps | 28 MB
Medium | 96 Kbps | 42 MB
High | 128 Kbps | 56 MB
Best Quality | 160 Kbps | 69 MB

*Refers to the amount of disk space required if you copy an entire CD according to quality level.

Related topics

  • Playing music from CDs


Playing music from CDs

You can use Windows Media Player to listen to and watch your favorite music. To play a CD, insert it into the CD-ROM drive; playback begins automatically. If you don’t have Windows Media Player open, it opens to the Now Playing feature, which displays the name of the artist, the title of the track, and a visualization.

Note Once your CD begins playing, click Now Playing to watch a visualization. You must select the Digital playback check box for the visualizations to work when playing a CD track. To verify that the check box is selected, on the Tools menu, click Options, and then click the CD Audio tab.

Related topics

  • Configuring CD Audio options

  • Copying music from CDs

  • Viewing CD information

  • Viewing album details


Viewing CD information

When you play a CD, Windows Media Player gathers as much information about the CD as is available from databases on the Internet, including the name of the artist and track titles. If information about the CD is not available (you have a rare CD, for example), or your computer is not connected to the Internet, Windows Media Player displays the track number as the title.

You can manually add or edit the information about the CD track on your computer and to a database on the Internet. For more information about adding information about the CD track to your computer, see Related topics. To add information about a CD track or entire album to a database on the Internet, click the CD Audio feature. Click the Get Names button, and then follow the instructions on your screen. The information that you add to the database on the Internet may not be available immediately.

The Media Library uses the artist and genre information about the track to categorize the tracks. Otherwise, the tracks are categorized under unknown artist, unknown genre, or unknown album.

You can view information about your CD in either the Now Playing or CD Audio features. If the correct artist or track titles do not appear in Now Playing or CD Audio, you can use the Get Names button in the CD Audio feature to update the information if you are connected to the Internet. Newer CDs often contain information that makes it easier to locate the track titles and other information that you want on the Internet.

Related topics

  • To add CD information

  • To edit CD information


To add CD information

  1. Click CD Audio.

  2. Right-click the track that you want to add information to, and then click Edit.

  3. Type the new information, and then press ENTER.

Note You can use the TAB key to move from column to column.

If you want to edit the information for several tracks, for example the artist name, press and hold down the SHIFT key, right-click the column that you want to edit, click Edit Selection, and then type the new information.


To edit CD information

  1. Click either CD Audio or Media Library.

  2. Right-click the track that you want to edit, and then click Edit.

  3. Type the information you want, and then press ENTER to add your changes to Media Library. The database updates immediately.

Note You can use the TAB key to move from column to column.

If you want to edit the information for several contiguous tracks, for example the artist name, press and hold down the SHIFT key, right-click the column that you want to edit, click Edit Selection, and then type the new information. To edit the information for tracks that are not contiguous, press and hold down the CTRL key, right-click the column that you want to edit, click Edit Selection, and then type the new information.


Viewing album details

You can use Windows Media Player to search the Internet for additional information on the artist and the CD you are playing. You can also find reviews, the artist’s biography and discography, and related artists. You must be connected to the Internet to view album information; it is not stored on your computer.

To view album details

  • Click CD Audio, and then click Album Details.


Creating your own CDs

Windows Media Player enables you to create your own CDs from your playlists. You can copy any tracks to your CD, except for live streams, such as radio stations. The content owner specifies if copying tracks to a CD or device other than your computer is allowed.

You must have the following items to create your own CDs:

  • Windows Media Player Adaptec CD-Burning component. Installed during setup of Windows Media Player. If you did not install the component with Windows Media Player, you can upgrade your version of Windows Media Player from the Web. For more information, see Related topics.

  • CD recorder and CDs to which you can copy. You can use either compact disc-recordable (CD-R) or compact-disc rewritable (CD-RW) CDs. You can copy tracks to a CD-R only once, but you can play it using any CD player. You can copy tracks to a CD-RW an infinite number of times, but you can play it using only computer CD-ROM drives.

Note Because you can copy only once to a CD-R, be certain about the tracks you want to copy and their length so that the tracks will use most of the space on the CD.

Playlists should be no more than 74 minutes long (or 650 MB), which is the CD-R time limit.

You can copy the following file formats to a CD: MP3 (.mp3), audio (.wav), and Windows Media (.asf, .wma, and .wmv).

Information about the track, such as the album name, artist, genre, or information about the individual tracks is not copied to the CD that you create. When you insert a CD that you have created into the CD-ROM drive, the number of the track, for example, Track 1, is displayed. You can use Windows Media Player to add information about the tracks to the CD that you make.

The compression quality that you use to copy CD tracks to your computer affects the sound quality of the track, but does not affect the length of the track when copying from your computer to a CD. The better the sound quality you use to copy a track to your computer, the better the sound quality the track has when you copy it from your computer to the CD. If you use the best quality sound to copy a track to your computer, the track will use more disk space on your computer. For more information, see Related topics.

If you interrupt copying tracks to your CD, you can continue making the CD later, even with CD-R.

If you have more than one CD recorder drive, Windows Media Player copies to the first drive only.

Related topics

  • To create your own CD

  • Creating a playlist

  • Adding files to playlist

  • Understanding licensed files

  • Copying and playing CDs

  • Compressing copies of CD tracks to use less disk space

  • Upgrading Windows Media Player

  • To edit CD information


To create your own CD

  1. On the File menu, click Copy to CD.

  2. Select the playlist that you want to copy, and then click OK.

    Note You must copy tracks for the CD you want to create to Media Library, and you must create a playlist of these tracks before creating a CD. For more information, see Related topics.

    The items in your playlist should be no more than 74 minutes long or 650 MB.

  3. Follow the instructions on your screen.

Related topics

  • Adding files to Media Library

  • Creating your own CDs

  • Creating a playlist

  • Adding files to a playlist

  • Copying and playing CDs

  • Understanding licensed files

  • To edit CD information


Understanding the CD Audio feature

You can use the CD Audio feature when you play a CD to view the names of the tracks and a variety of other information including:

  • Name. Name of the track.

  • Length. Length of the track.

  • Copy Status. This column is empty if the track has not been copied. If you copied the track, Copied to Library is displayed. The percentage of the track that has been copied displays as you copy a track.

  • Artist. Name of the artist. You can sort all audio in Media Library using this category.

  • Genre. Type of music. You can sort all audio in Media Library using this category.

  • Style. Subcategory of the genre. The information is taken from the Internet database provider. You cannot sort by this category in Media Library.

  • Data Provider. Company that provided the Internet database information.

  • Modified By. Name of person who edits the information from the Data Provider.

Windows Media Player gathers as much information about the CD as is available from databases on the Internet.

Related topics

  • To edit CD information


Organizing your media collection

You can use Microsoft Windows Media Player to organize media files on your computer and to organize links to media content on the Internet in the following ways:

  • Save links to files on your computer or sites on the Internet.

  • Create a playlist, which is a list of links to the various files on your computer, your network, or the Internet. For example, you can create a greatest hits list of files on your computer that will play in the order that you want.

  • Search the library to see the music and video that you have.

  • Organize your audio and video collection into categories. Your files are automatically organized in Media Library by subcategories such as album title, artist name, and genre. In the video category, author is the only subcategory.

Related topics

  • Adding files to Media Library

  • Creating a playlist

  • Adding files to a playlist

  • Searching your computer for music and video

  • Searching your library


Adding files to Media Library

The Media Library feature is a collection of all the media content available from your computer, which includes all the media files that exist on your computer as well as links for locating content that you previously played.

Note Playing a CD track doesn’t automatically add it to Media Library.

To add files to your media library, you can do any of the following:

  • Use the CD Audio feature to copy CD tracks to your hard disk drive. Click the Copy Music button.

  • On the File menu, click Open, and then locate the file that you want to add to the Media Library.

  • On the File menu, click Add to Library, and then click Add File. Locate the file that you want to add to the Media Library.

  • Double-click a media file in Windows Explorer to play it.

  • Drag-and-drop a file from Windows Explorer into Media Library.

Related topics

  • Copying music from CDs


Creating a playlist

Use the Media Library feature to add CD tracks or a link to a file or stream such as a radio station to a playlist. A playlist is a customized list of the files that you want to watch or listen to. A playlist enables you to group various media content together to be played in any order that you specify. For example, you could create a playlist that includes a couple of tracks from various CDs, a radio station, and a video.

Playlists group media content and store the location of media content, whether the location is your computer, another computer on your network, or the Internet. Playlists typically have an .asx or .m3u file extension. When you play an item from a playlist, Windows Media Player accesses the file from it’s location and plays the file.

To create a playlist

  1. Click the Media Library feature.

  2. Click the New playlist button.

  3. In the New Playlist dialog box, type the name for the playlist.

    Your new playlist is added to the My Playlists folder in the left pane.

  4. To add an item to a playlist, click the item in the right pane, and then click the Add to playlist button.

  5. Click Add to name of playlist where name of playlist is the name you just typed.

    –or-

    Click Playlists, select the playlist that you want, and then click OK.

    Note You can add as many files to your playlists as you want.

You can also import playlists from other applications and Web pages into Media Library by clicking Import Playlist to Library on the File menu, and then finding the playlist on your computer. To add a playlist from a Web page, you must first copy the playlist from the Web page to your computer. Importing and exporting playlists to and from Media Library is useful if you want to back up your files to another directory on your computer. In the Save As dialog box, type a name for the playlist or use the existing name.

Related topics

  • Adding files to a playlist


Adding files to a playlist

You can add files to a playlist as long as they are listed in Media Library. If the file that you want to add to a playlist is not in Media Library, you must add it to Media Library before you can add it to a playlist.

To add a file to a playlist

  1. Click the Media Library feature.

  2. Find the file that you want to add to a playlist, click the file, , and then click Add to playlist.

    A drop-down menu is displayed listing the available playlists.

  3. Click Add to name of playlist.

    –or-

    Click Playlists, select the playlist that you want to add files to, and then click OK.

Note You can add as many files to a playlist as you want.

You can also add files to a playlist by dragging files within Media Library or from Windows Explorer, or you can right-click a file, click Add to Playlist, select the playlist, and then click OK.

Related topics

  • Creating a playlist


Searching your computer for music and video

You can search your computer and your network to find music and video files and add them to Media Library. Use Search Computer for Media on the Tools menu to locate all music and video files, including links to music and video files. The audio files and links are added to your All Audio playlist and the video files and links are added to your All clips playlist.

To search your computer for music and video

  1. On the Tools menu, click Search Computer for Media.

  2. In the Search for media in box, click All Drives or click the drive you want to search for media, and then click Start Search.

    Note Links to all media files found in the location you specified are added to your media library. There may be a considerable number of media files that other applications have added to your computer. Windows-based computers use sounds, such as the sound you hear when an error occurs or when you start Windows . The sound files have .wav extension. The files in your system folders are not included in Media Library unless you select the Include WAV and MIDI files found in system folders check box.

    To search for media on computers on your network, you must first map or assign a drive letter to the other computers. For example, if you want to search for media files on a computer named Student, you must first assign a drive letter, such as D: to the computer and a shared folder on the computer. The connection might display in the format D: \Student\Music. For more information about mapping drive letters and sharing folders, search the operating system Help for topics about mapping drive letters, sharing folders, and home networking, respectively.

You can also open music and video files, or Web pages in Windows Media Player rather than search your computer for music and video. However, having all media content, except for system files added to Media Library is more convenient than searching for individual files or Web pages to open.

To open a file or Web page

  • On the File menu, click Open, and then find the media file that you want to open.

    -or-

    On the File menu, click Open URL, and then type the URL, including the name of the media file that you want to open.

Related topics

  • Creating a playlist


Searching your library

You can search through all information in the Media Library feature. Although Media Library organizes your audio for you by album, artist, and genre, and your video by author, you can search for a file using one word. For example, you can search for songs with the word candle in them. The results of your search are published in a playlist that you can use immediately.

To search your media library

  1. Click the Media Library feature.

  2. Click Search.

  3. In the Search Library for Media dialog box, type the words that you want to use for your search. Select options from the Find entries by matching list to further refine your search.

  4. Click Search Now.

    If any matches are found, the results of the search are published in a playlist.

  5. Click View Results to view the playlist that displays the results of your search.

    –or-

    Click Close.

    You can view the results of your search in Media Library under My Playlists at any time.


Deleting and restoring items in Media Library

You can delete whole playlists or individual items from Media Library, but you cannot delete items by category.The topics in this section provide procedures for deleting and restoring items and playlists in Media Library.

Note Items that you delete from Media Library are not deleted from your computer unless you choose to permanently delete the items from your computer.

Related topics

  • To delete an individual item from Media Library

  • To delete a playlist from Media Library

  • To restore an individual item in Media Library

  • To restore a playlist in Media Library

  • To permanently delete items from Media Library and from your computer

  • To permanently delete a playlist from Media Library and from your computer


To delete an individual item from Media Library

  1. Click the Media Library feature.

  2. Find the item that you want to delete by clicking categories and scrolling through the list in the left pane.

  3. When you have located the item that you want to delete, in the right pane, right-click the item, and then click Delete from Library.

    The deleted item is moved to the Deleted Items folder in Media Library.

    Note Press and hold the SHIFT key to select contiguous items.

    Press and hold the CTRL key to select items that are not contiguous.

    To empty the Deleted Items folder and remove items from Media Library, right-click Deleted Items in the left pane, and then click Empty “Deleted Items”. Select the Remove files permanently from hard drive check box if you want to permanently remove the items from your computer, and then click Yes.

Related topics

  • To delete a playlist from Media Library

  • To restore an individual item in Media Library

  • To restore a playlist in Media Library

  • To permanently delete items from Media Library and from your computer

  • To permanently delete a playlist from Media Library and from your computer


To delete a playlist from Media Library

  1. Click the Media Library feature.

  2. If necessary, expand My Playlists in the left pane to display the playlists that you have created.

  3. Right-click the playlist, and then click Delete.

    The playlist is moved to the Deleted Items section of Media Library.

Related topics

  • To delete an individual item from Media Library

  • To restore an individual item in Media Library

  • To restore a playlist in Media Library

  • To permanently delete items from Media Library and from your computer

  • To permanently delete a playlist from Media Library and from your computer


To restore an individual item in Media Library

  1. Expand the Deleted Items folder, and then click All Deleted Media.

  2. Right-click the item in the right pane, and then click Restore.

    Note You cannot restore items to Media Library that you permanently deleted from your computer.

Related topics

  • To delete an individual item from Media Library

  • To delete a playlist from Media Library

  • To restore a playlist in Media Library

  • To permanently delete items from Media Library and from your computer

  • To permanently delete a playlist from Media Library and from your computer


To restore a playlist in Media Library

  • Expand the Deleted Items folder, right-click the playlist that you want to restore, and then click Restore.

Related topics

  • To delete an individual item from Media Library

  • To delete a playlist from Media Library

  • To restore an individual item in Media Library

  • To permanently delete items from Media Library and from your computer

  • To permanently delete a playlist from Media Library and from your computer


To permanently delete items from Media Library and from your computer

  1. In Media Library, expand the Deleted Items folder.

  2. Click All Deleted Media.

    –or-

    To permanently delete an individual item, right-click the item in the right pane, and then click Delete from Library.

  3. Select the Remove files permanently from hard drive check box, and then click Yes.

Related topics

  • To delete an individual item from Media Library

  • To delete a playlist from Media Library

  • To restore an individual item in Media Library

  • To restore a playlist in Media Library

  • To permanently delete a playlist from Media Library and from your computer


To permanently delete a playlist from Media Library and from your computer

  1. In Media Library, expand the Deleted Items folder.

  2. Click the name of the playlist that you want to permanently delete, and then press DELETE.

  3. Click Yes when prompted.

Related topics

  • To delete an individual item from Media Library

  • To delete a playlist from Media Library

  • To restore an individual item in Media Library

  • To restore a playlist in Media Library

  • To permanently delete items from Media Library and from your computer


Customizing Windows Media Player

You can change the appearance of Microsoft Windows Media Player in many ways. The following list provides you with some ideas for customizing your Windows Media Player:

  • Switching between modes. Full mode is the size of Windows Media Player when you first open it. To shrink the size of Windows Media Player, you can switch to compact mode, which saves desktop space so you can use other computer applications. When you switch to compact mode, Windows Media Player maintains the appearance of the selected skin.

  • Applying a skin. You can apply a skin to Windows Media Player to create a personalized look. Windows Media Player includes several skins, and you can download additional skins from the Internet.

  • Choosing a visualization. You can choose different visualizations to accompany your music or the skin you are using. And you can download additional visualizations from the Internet.

  • Adjusting the audio and video settings. Using the Now Playing feature, you can choose between a graphic equalizer, captions, information about the media you’re listening to, or video setting controls.

Related topics

  • Switching between modes

  • Applying a skin to Windows Media Player

  • Choosing a visualization

  • Changing your audio and video settings


Switching between modes

Windows Media Player has two modes: full mode and compact mode. Full mode is the default view of Windows Media Player. All functionality is available in full mode, including some features that are not available in compact mode. For example, in full mode you can use Media Guide, Media Library, Radio Tuner, Portable Device, and Skin Chooser. In compact mode, Windows Media Player uses the selected skin and has only the functionality that the skin is designed to have.

By default, an anchor window appears in the lower right corner of your screen when Windows Media Player is in compact mode. You can use the anchor window to return Windows Media Player to full mode, select a new skin, open a file, or open a URL.

To switch from full mode to compact mode

  • On the View menu, click Compact Mode.

To switch from compact mode to full mode

  • Right-click anywhere on the compact version of Windows Media Player, and then click Return to Full Mode.

    -or-

    Click the anchor window, and then click Return to Full Mode.


Changing your audio and video settings

You can change the audio and video settings of Windows Media Player using the Now Playing feature. Use Now Playing to watch video or visualizations (if you are listening to music) and to adjust the equalizer and video settings. Now Playing includes the following areas: a display area where you watch video or visualizations; a playlist area, which is used for selecting the items to play and shuffling items in the playlist; and a controls area, which is used for changing the equalizer, video, and audio effects. The controls area is hidden by default.

You can watch videos and visualizations using your full monitor screen by clicking the Now Playing feature, clicking the View menu, and then clicking Full Screen. A video or visualization must be playing for the Full Screen command to be available. To exit full screen mode, press ESC.

When watching videos, you can change the size of the video display in Windows Media Player. Click the Now Playing feature, point to Zoom, and then click one of the following:

  • Fit to Window

  • 50%

  • 100%

  • 200%

Note You must select the Digital playback check box for visualizations to work when playing a CD track. To verify that the check box is selected, on the Tools menu, click Options, and then click the CD Audio tab.

To adjust audio and video settings

  • Use the small arrow buttons at the lower edge of the display to cycle through the options.

-or-

  • On the View menu, point to Now Playing Tools, select Show Equalizer and Settings options, and then select the setting you want.

    Note To hide the Now Playing Tools area, on the View menu, point to Now Playing Tools, and then click Show Equalizer and Settings to remove the check mark.

Related topics

  • Working with the Now Playing playlist area

  • Choosing a visualization

  • Creating a playlist


Adjusting audio levels

You can adjust the balance and equalizer for audio using the graphic equalizer in the Now Playing control area. The graphic equalizer has an on/off button and several equalizer presets. When you open the graphic equalizer, all the levels will be equal, which is the default setting.

You can switch between the equalizer presets by clicking the Next preset button. You can create a custom setting by adjusting the equalizer to where you like it, and then clicking the Current preset button again to save your settings.

To adjust the audio level

  1. Click the Now Playing feature.

  2. On the View menu, point to Now Playing Tools, and then click Graphic Equalizer.

  3. Click the On/Off button to use the equalizer.

  4. Do one of the following:
    • Click the Next preset button to select a preset equalizer setting.

    • Adjust the equalizer sliders to create a custom setting. The levels you set are saved automatically.

    Note To hide the audio settings, on the View menu, point to Now Playing Tools, and then click Show Equalizer and Settings to remove the check mark.

Related topics

  • Adjusting video settings

  • Displaying media information


Adjusting video settings

Use the video settings in the Now Playing tools area to adjust brightness, contrast, hue, and saturation for video.

To adjust video settings

  1. Click the Now Playing feature.

  2. On the View menu, point to Now Playing Tools, and then click Video Settings.

  3. Adjust the video sliders to the settings you want to use.

    Note To hide the video settings, on the View menu, point to Now Playing Tools, and then click Show Equalizer and Settings to remove the check mark.

Related topics

  • Adjusting audio levels

  • Displaying media information


Displaying media information

Use Media Information in the Now Playing tools area to get information from the Internet about the media content you are playing.

Note To display media information, click the Now Playing feature. On the View menu, point to Now Playing Tools, and then click Media Information. You must be connected to the Internet to use Media Information.

To hide media information, on the View menu, point to Now Playing Tools, and then click Show Equalizer and Settings to remove the check mark.

Related topics

  • Adjusting audio levels

  • Adjusting video settings


Working with the Now Playing playlist area

Use the playlist area in Now Playing to add to or adjust your playlists and to select the order you want your media content to play in. From the View menu, point to Now Playing Tools, and then click Show Playlist.

To hide the playlist area, from the View menu, point to Now Playing Tools, and click Show Playlist again.


Choosing a visualization

Visualizations are splashes of color and geometric shapes that change with the beat of the music that is playing.

Use the Now Playing feature to watch visualizations as your music plays.

When Windows Media Player is in full mode, visualizations display in the Now Playing feature. When Windows Media Player is in compact mode, visualizations display only if the skin supports it.

Visualizations are grouped into collections centered on specific themes, such as ambience or spikes. You can add and remove visualization collections from Windows Media Player. You can set properties, such as the size of the video window or offscreen buffer, for some collections. For more information about visualizations, see Related topics.

To use a different visualization

  1. Click the Now Playing feature.

  2. On the View menu, point to Visualizations, point to the visualization collection, and then click the visualization you want to see.

    Note The Digital playback check box on the CD Audio tab must be selected for visualizations to work when playing a CD track. To verify the check box is selected, on the Tools menu, click Options, and then click the CD Audio tab.

You can also change the visualization by clicking the small arrow buttons on the lower left edge of the display, below the visualization, to cycle through the visualizations.

Related topics

  • Downloading visualization collections from the Internet

  • Configuring visualizations options


Downloading visualization collections from the Internet

You can download additional visualization collections from the Internet.

To download visualizations from the Internet

  1. On the Tools menu, click Download Visualizations.

  2. On the Web page that appears, follow the instructions for downloading a visualization.

    The collection is added to the list of available visualizations in Windows Media Player.

  3. To select a visualization in Windows Media Player, on the View menu, point to Visualizations, point to the visualization collection that you downloaded, and then click the visualization.

    –or-

    In Now Playing, use the small arrow buttons on the lower edge of the display, below the visualization to scroll through the visualizations.

    Note Media content must be playing for you to watch a visualization. For more information about selecting visualizations, see Related topics.

    If the visualization you downloaded is not listed, you may need to add the collection. On the Tools menu, click Options. Click the Visualizations tab, and then click Add. In the Open dialog box, locate the folder where you stored the collection and open it.

Related topics

  • Choosing a visualization


Applying a skin to Windows Media Player

Use skins to change the appearance of Windows Media Player in compact mode. Each skin has a distinct appearance that usually incorporates basic Windows Media Player functions such as play, previous, next, stop, and the ability to adjust the volume. Skins can also play certain audio files, or show a specific visualization, or a variety of other things.

Note You must select the Digital playback check box on the CD Audio tab for visualizations to work when playing a CD track. To verify that the check box is selected, on the Tools menu, click Options, and then click the CD Audio tab.

Windows Media Player includes several skins, but you can also download them from the Internet. When you apply a skin, that skin displays whenever you change from full mode to compact mode. To preview a skin before you apply it, in the Skin Chooser feature, click the name of the skin. The skin is applied when you switch Windows Media Player to compact mode. You can change skins as often as you like, but you must be in full mode to do so.

Note The skin you apply may not support all the functionality that Windows Media Player provides.

Related topics

  • To delete a skin

  • To apply a skin

  • To download skins from the Internet


To delete a skin

  1. In full mode, click the Skin Chooser feature.

  2. In the list of skins, select the skin you want to delete, and then click the Delete button.

Related topics

  • To apply a skin

  • To download skins from the Internet


To apply a skin

  1. In full mode, click the Skin Chooser feature.

  2. In the list of skins, select the skin you want to apply, and then click Apply Skin.

Related topics

  • To delete a skin

  • To download skins from the Internet


To download skins from the Internet

  1. In full mode, click the Skin Chooser feature.

  2. In the list of skins, click More Skins. Your browser opens to the Windows Media Web site where you can download additional skins.

  3. In your browser, click the link to the skin you want to download, and then follow the instructions on the Web page to download the skin.

    The skin downloads and is added to the list of skins.

  4. When the download completes, click View Now to apply the skin to Windows Media Player.

    Windows Media Player is displayed in compact mode using the skin you selected.

Note The skin you apply may not have all of the functionality that Windows Media Player supports; skin functionality depends on the person who created it.

Related topics

  • To delete a skin

  • To apply a skin


Setting options

You can configure Windows Media Player options according to your preferences. For example, you can specify where to store music files on your computer, change the visualization collection, or select the quality of the audio files you copy from CDs or to your portable device.

To change settings

  • In full mode, on the Tools menu, click Options, click the tab that you want, and then change the settings that you want.

-or-

  • In compact mode, right-click Windows Media Player, click Options, click the tab that you want, and then change the settings that you want.

Note Several of the settings are for advanced users.

Related topics

  • Configuring player options

  • Configuring network options

  • Configuring portable device options

  • Configuring CD audio options

  • Configuring performance options

  • Configuring media library options

  • Configuring format options

  • Configuring visualizations options


Configuring Player options

Use the Player tab to control:

  • How often Windows Media Player checks for upgrades.

  • Internet identity, license, and connection settings.

  • How Windows Media Player will start.

To access the Player tab

  • On the Tools menu, click Options.

    Change the options that you want.

The following options are listed on the Player tab:

Check for upgrade

Specifies the timeline you want Windows Media Player to check for upgrades. Click the timeline you want to use.

Enable automatic codec download

This check box is selected by default. When you attempt to play a file that uses a codec that you do not have installed, Windows Media Player downloads the appropriate codec for you. If you clear this check box, then you are prompted to download the codec yourself.

Allow Internet sites to uniquely identify your Windows Media Player

Specifies whether you want Windows Media Player to enable Internet sites to uniquely identify your Windows Media Player using an unique identifier created by Windows Media Player. The identifier is used to uniquely identify your connection to a server and does not contain any personally identifiable information about you.

When you receive streaming media over the Internet, Windows Media Player sends a unique identifier to the server that is delivering the stream. The server uses this unique identifier to monitor your connection. By monitoring your connection, the server can make adjustments to increase the playback quality and to alert you about events that occur when receiving streams over the Internet. The unique identifier only serves to aid the server in identifying your computer and differentiating it from other computers that may be accessing streaming media.

Clear the Allow Internet sites to uniquely identify your player check box if you do not want a server to uniquely identify your computer when you are receiving streaming media.

For more information see the privacy statement on the WindowsMedia.com Web site.

Attempt to automatically acquire licenses

Specifies whether Windows Media Player should automatically acquire licenses when a license to play a file is required.

Start player in Media Guide

Specifies whether Windows Media Player opens displaying the Media Guide feature. If the Start player in Media Guide check box is not selected, Windows Media Player opens displaying the Now Playing feature.

When in compact mode, always display on top

Specifies how Windows Media Player displays in compact mode. By default, other applications can cover Windows Media Player when it is in compact mode. Select this check box to keep Windows Media Player on top when it’s in compact mode.

When in compact mode, always display anchor window

The anchor window is a small window that appears in the lower right corner of the screen when Windows Media Player is in compact mode. You can click the anchor window, and then click Return to Full Mode to return to full-screen mode. When you put Windows Media Player in compact mode, it uses the assigned skin. Skins can have a variety of looks and exposed features so the anchor is an easy way of getting back to full mode.


Configuring Network options

Use the Network tab to configure the protocols and proxy settings that you want Windows Media Player to use when receiving streaming media files.

To access the Network tab

  • On the Tools menu, click Options, and then click Network.

The following options are listed on the Network tab:

Protocols

Specifies the protocols that you want Windows Media Player to use to receive a stream. Windows Media Player receives streams through UDP, TCP, and HTTP. It can also receive multicast streaming. By default, all protocols are selected, which means that Windows Media Player attempts to use each protocol to receive a stream before it gives up. Because Windows Media Player can receive files using a variety of protocols, it is recommended that you leave all protocols selected. However if you have a specific reason why you don’t want to use certain protocols, such as you are behind a firewall and you know you cannot receive UDP or TCP streaming, then clear the appropriate check boxes.

Use ports

Specify a particular port, which is useful if your network or firewall administrator has established a specific port that enables streaming media to pass. Unless otherwise instructed, Windows Media streams attempt to pass through firewalls on port 1755.

Proxy settings

Specifies how each protocol operates with a proxy server. Do not worry about setting proxy values if you are not behind a firewall. If you are behind a firewall, and you do not know how to configure your settings, please consult your network administrator.

There are several ways you can configure a protocol to work with a proxy server:

Option | Description
Autodetect proxy settings (recommended) | Windows Media Player determines the ports that are open and uses them to receive streaming media.
Use browser proxy settings | Windows Media Player uses the same configuration as your browser to access network communication.
Do not use a proxy server | Windows Media Player does not attempt to communicate with a proxy server. Typically, this means that Windows Media Player does not receive streaming media from the Internet.
Use the following proxy server | Windows Media Player uses the proxy server and port you specify. Select Bypass proxy server if you don’t want Windows Media Player to connect to the proxy server when streams are from local servers.


Configuring CD Audio options

Use the CD Audio tab to configure playback, copy, and archive settings for Windows Media Player.

To access the CD Audio tab

  • On the Tools menu, click Options, and then click CD Audio.

The following options are listed on the CD Audio tab.

Digital playback

Specifies whether to use digital or analog playback. Select this check box to send digital audio to your speakers. Clear the check box to send analog audio to your speakers. If your hardware does not support digital playback, analog audio might be used even if the Digital playback check box is selected. When analog audio is used, visualizations do not work, and your equalizer and SRS WOW settings do not affect the analog audio.

SRS WOW is a technology that enables you to enrich your listening experience. For more information about SRS WOW technologies, see the SRS Web page if you are connected to the Internet. To access the page from Windows Media Player, click the Now Playing feature. On the View menu, point to Now Playing Tools, and then click SRS WOW Effects. Click SRS to open the Web page.

Note You must select the Digital playback check box for visualizations to work when playing a CD track.

Use error correction

Protects digital playback when listening to music from a CD by attempting to correct for anomalies in the playback. Using error correction helps to minimize any minor noises that you can hear as Windows Media Player plays music from a CD.

Copy music at this quality

Adjusts the compression quality when you copy audio from a CD to your computer. The better the quality, the more disk space required. As you compress the audio you lose quality. The following table shows the range of quality settings for copying music:

Quality | Bit rate | Disk space*
Smallest size | 64 Kbps | 28 MB
Medium | 96 Kbps | 42 MB
High | 128 Kbps | 56 MB
Best quality | 160 Kbps | 69 MB

*Refers to the amount of disk space required if you copy an entire CD according to quality level.

Digital copying

Specifies whether to use digital copying or analog copying. If you notice hiccups or pops in the copied audio files, and your CD drive is a slower CD drive (single or double speed), turn Digital copying off by clearing the check box.

Note If you want to listen to your CD while you are also copying the tracks, make sure that you have Digital Copying turned on (the Digital Copying check box is selected). If you do not have Digital Copying turned on, your computer will use analog copying. Depending on how your CD player is configured, there is a chance that you will not be able to listen to your CD while you are recording the tracks, especially if you have digital speakers.

Your hardware (CD-ROM drive and speakers) determines whether you are able to copy and listen to music using a digital or analog audio. You should select the settings that work best with your hardware.

If analog copying is used to record CD tracks, background sounds may berecorded.

Use error correction

Specifies whether to use error correction when copying a CD to Media Library. The error correction feature attempts to fix problems that are caused when copying music to a file. You may notice scratchy audio or pops in the files that you record. Select this check box to help reduce this noise in the music.

Enable Personal Rights Management

Select this check box to enable a personal licensing feature for all files that you copy from CD. Each CD track that you copy will have a license created for it, which deters people from stealing or copying the file. However, if you use Windows Media Player to transfer a file that has a license from your computer to a portable device, a copy of this license is also transferred to your portable device so you can play the file on it. If you clear this check box and disable Personal Rights Management, you might not be able to play some music files on a Secure Digital Music Initiative (SDMI)-compliant portable device.

Note You should back up your licenses to a floppy disk periodically. If you reinstall or upgrade the operating system, your licenses could be lost. For more information about how to back up licenses, see Related topics.

Archive

Specifies the location on your computer where audio files are stored when you copy them from a CD. By default, your files are stored on the drive where Windows Media Player is installed. Click the Change button to specify another location.

Related topics

  • Understanding licensed files

  • To back up your licenses


Configuring Portable Device options

Use the Portable Device tab to select the quality of the music that you copy from your computer to your portable device.

Note If you are using a Microsoft Windows CE device, ActiveSync 3.0 or later is required to connect Windows Media Player to a portable device. ActiveSync 3.0 is the communication software your computer uses to connect to a Windows CE device.

To access the Portable Device tab

  • On the Tools menu, click Options, and then click Portable Device.

The following options are listed on the Portable Device tab:

Let Windows Media Player decide

This option is selected by default; Windows Media Player automatically sets the quality level of the music that is copied to your portable device.

Select quality level

Click this option if you want to specify the audio quality level of the music that is copied to your portable device. The following table lists the range of quality levels:

Quality | Bit rate | Disk space*
Smallest size | 32 Kbps | 14 MB
Medium | 64 Kbps | 28 MB
Best Quality | 128 Kbps | 56 MB

*Refers to the amount of disk space required if you copy an entire CD according to quality level.

Currently supported devices

Use the Details button to open a Web page that lists information about the types of portable devices that you can transfer files to.


Configuring Performance options

Use the Performance tab to specify your computer’s network (or Internet) connection speed, a buffer size, or choose the video hardware acceleration that you want your video card to use.

To access the Performance tab

  • On the Tools menu, click Options, and then click Performance.

The following options are listed on the Performance tab:

Detect my connection speed

Click this option if you want Windows Media Player to detect the speed of your modem or the type of network connection you have.

My connection speed is

Lists available connection speeds. Click this option to select the speed you want to use.

Use default buffering

Click this option to use the default settings for network buffering. Network buffering is the amount of information that Windows Media Player stores before it begins playing the file or stream. The size of your buffer is important when receiving streaming files over a network or the Internet. If network congestion is heavy, then you may notice interruptions in the audio and video because there is no information for Windows Media Player to play and it has to wait to receive information. When network traffic interrupts the stream, Windows Media Player can fill those gaps with information from the buffer. Only when all information in the buffer is used, does the stream appear to be interrupted.

Buffer

Click this option to set your own buffer size. Note that the larger your buffer, the longer it takes for your streams to begin playing.

Hardware acceleration

The slider adjusts the acceleration on your video card. Adjust the slider to best match your video card.

Fullscreen mode switch

Certain types of video, particularly digital, are not affected if you watch them in full screen mode. When you select the Fullscreen mode switch check box , Windows Media Player attempts to maximize your video card for viewing video at full screen. You can clear this check box if you do not intend on watching video at full screen, or you do not want Windows Media Player to adjust your video card settings.

Digital Video (DV) settings

Use this slider to adjust digital video resolution. If the video is analog, the slider has no effect. If you resize Windows Media Player so that the viewing window is larger than the original video, then Windows Media Player attempts to stretch the video to accommodate the resized window. Adjust the slider all the way to Large to enable the video to add additional pixels when stretching. This is easier on the CPU, but may create less than desirable video quality. Move the slider all the way to Small to minimize video distortion. This will force your CPU to work harder to render the video.


Configuring Media Library options

Use the Media Library tab to set access rights for installed applications and Internet sites.

To access the Media Library tab

  • On the Tools menu, click Options, and then click Media Library.

You may want to make your media library accessible if you want other applications or Internet sites to automatically add information to it.

Allowing another application, such as a jukebox, read-only access or full access to your media library could be useful if you don’t want to have to re-enter all the data from your media library in the other application.

There are three types of rights: none, read-only, and full.

Note If you allow Internet sites read-only or full access rights to your media library, you are allowing the Internet site owners to gather information about your audio and video preferences.

No access

Specifies that applications or Internet sites cannot access playlists or files. No access is the default for Internet sites.

Read-only access

Specifies that applications or Internet sites can read the playlists and play the files. Read-only access is the default for applications.

Full access

Specifies that applications or Internet sites can edit the playlists and modify entries in Media Library.

In addition to setting access rights, you can use the Media Library tab to add music that you purchase on the Internet to your media library.

Automatically add purchased music to my library

Specifies whether to add licensed audio files downloaded from the Internet to Media Library. The default setting is to add these files to Media Library, which keeps you from having to add them to Media Library later.


Configuring Visualizations options

Use the Visualizations tab to change the properties of visualization collections. You can also use the Visualizations tab to add and remove collections.

Note To add a visualization collection from the Internet to Windows Media Player, download the collection from the Internet first rather than using the Add button on the Visualizations tab. For more information about visualizations, see Related topics.

To access the Visualizations tab and change collection properties

  1. On the Tools menu, click Options, and then click Visualizations.

  2. Do one of the following:
    • Click Add, and then find the visualization collection that you want to add.

    • Select a visualization collection that you want to remove, and then click Remove.

      You cannot remove the visualization collections that are installed with Windows Media Player.

    • Select a visualization collection whose properties you want to change, and then click Properties.

      You can only set the properties for certain visualization collections and the properties can differ for each collection.

You can set the following properties for certain collections:

Screen size

You can set the size of the visualization when it is in full screen mode. The performance of the visualization when it is set to a larger size depends on the speed of your computer. And the image can distort if you make the visualization stretch to full screen mode.

Offscreen buffer size

You can set the offscreen buffer size to adjust the resolution of the visualization so that it does not distort. However, the larger you set the buffer size, the harder your CPU must work to make the visualization run smoothly, especially at full screen.

Related topics

  • Choosing a visualization

  • Downloading visualization collections from the Internet


Configuring Format options

Use the Format tab to select which of the following file formats Windows Media Player plays. Windows Media Player will attempt to be the default player for the specified file formats. If you want to make another player the default player for a specific format, clear the appropriate check box in the Available File Formats list. The following table describes the available file formats.

Select this | To do this
Windows Media file | Specify that Windows Media files with .asf and .asx file extensions play in Windows Media Player.
Windows Media audio file | Specify that Windows Media files with .wma and .wax file extensions play in Windows Media Player.
Windows Media audio/video file | Specify that Windows Media files with .wmv, .wmp and .wmx file extensions play in Windows Media Player.
Video file | Specify that files with the .avi file extension play in Windows Media Player.
Audio file | Specify that files with the .wav file extension play in Windows Media Player.
Movie File (MPEG) | Specify that files with .mpeg, .mpg, .mpe, .m1v, .mp2, .mpv2, and .mpa file extensions play in Windows Media Player.
MP3 Format Sound | Specify that files with .mp3 and .m3u file extensions play in Windows Media Player.
MIDI file | Specify that files with .mid, .midi, and .rmi file extensions play in Windows Media Player.
AIFF Format Sound | Specify that files with .aif, .aifc, and .aiff file extensions play in Windows Media Player.
AU Format Sound | Specify that files with .au and .snd file extensions play in Windows Media Player.
CD Audio Track | Specify that files with the .cda file extension play in Windows Media Player.

Select All

Selects all the formats in the Available File Formats list.

Note If a selected check box appears gray, Windows Media Player has only partial ownership of the file type. Multiple file extensions are assigned to that format, but Windows Media Player only plays some of those extensions by default. To give Windows Media Player full ownership of a file type, double-click the gray check box.

Related topics

  • Supported media formats


Upgrading Windows Media Player

When you install Windows Media Player, an update feature is also installed. You can check for updates whenever you want. If updates are available, you can minimize the download time by downloading only the portions of Windows Media Player that you want to update. If you want to completely reinstall Windows Media Player, you can use the update feature for this too.

Windows Media Player checks for upgrades once a month by default.

To change how often upgrades are checked for

  1. On the Tools menu, click Options.

  2. Under Check for Upgrade, click one of the following:
    • Once a day

    • Once a week

    • Once a month

You can check for an upgrade whenever you like by clicking Check For Player Upgrades on the Help menu.


Using Windows Media Player offline

Several Windows Media Player features are enhanced when you have an Internet connection. Some features, such as Media Guide, require that your computer be connected to the Internet to use the feature. You can still play CDs or any media content that is stored on your computer when your computer is offline. Items in your playlists that require an Internet connection are skipped when your computer is offline.

To use Windows Media Player offline

  • On the File menu, click Work Offline.

    You are prompted to connect to the Internet the next time you attempt to access Internet content.

    Note Click Work Offline to clear the check mark and use Windows Media Player online.


Finding media content on the Internet

You can find media content on the Internet in two ways using Microsoft Windows Media Player:

  • Use Media Guide to find the latest movies, music, and video.

  • Use Radio Tuner to access Internet radio stations from around the world.

Related topics

  • Using Media Guide

  • Finding radio stations on the Internet

  • Adding a radio station to a playlist


Using Media Guide

Media Guide contains a live Web page that is hosted by WindowsMedia.com. The guide is like an electronic magazine; it is updated daily with links to the latest movies, music, and video on the Internet—covering a broad range of topics from international news to the latest developments in the entertainment industry. You can play everything listed in Media Guide using Windows Media Player.

Note You must be connected to the Internet to use Media Guide.


Finding radio stations on the Internet

Radio Tuner contains a live Web page that is hosted by WindowsMedia.com. Use the links in Radio Tuner to access radio stations around the world. Search for a specific station using the Station Locator based on the following options:

  • Format. Oldies, Religious, Rock, etc.

  • Band. AM, FM, or Internet.

  • Language. 23 languages are available.

  • Location. 33 countries are available, including all states in the United States.

  • Callsign. If you know the call letters for a station, type the letters to search for it.

  • Frequency. If you know the frequency for a station, type the frequency to search for it.

  • Keyword. If a station you want to find uses a tag line such as, “The Station that uses 10,000 Disk Jockeys,” you can search using words in this tag line.

Note You must be connected to the Internet to use Radio Tuner.

To create a list of your own preset radio stations

  1. Click the Radio Tuner feature.

  2. In the Presets area, click the down arrow button, and then click My Presets.

  3. Click the Search button in the right pane to find the radio stations that you want to add to your preset list.

  4. In the Advanced Station Search dialog box, enter any information that you want to use to find the radio stations, and then click Find.

  5. Click the radio station, and then click Add.

  6. Repeat steps 3 through 5 for as many radio stations as you want to add to your preset list.

    Note Because Radio Tuner contains a live Web page, the process for adding radio stations may change without notice.

Related topics

  • Adding a radio station to a playlist

  • Creating a playlist


Adding a radio station to a playlist

You can access radio stations through Radio Tuner or by clicking a link to a radio station from a Web page. If you like a radio station that you are listening to and want to access it quickly in the future, you can add it to a playlist.

To add a radio station to a playlist

  1. While listening to the station, on the File menu, point to Add to Library, and then click Add Currently Playing Track.

    This adds the link to that radio station to your All Audio playlist.

  2. To find this link, click the Media Library feature, click the All Audio playlist, and then scroll to the bottom of the playlist. The last file in the list is the link to the radio station.

  3. To add the link to the radio station to a specific playlist, select the link in the All Audio playlist, and then click Add to playlist.

  4. Click the playlist you want to add the radio station to.

Your link to the radio station is added to this playlist. The link also remains part of the All Audio playlist.

Related topics

  • Creating a playlist


Copying music to your portable device

Use the Portable Device feature to copy audio files from Media Library to your portable device or storage card. You can also copy licensed files that you downloaded from the Internet or files that you copied from CDs to your portable device. You must add files to Media Library before you can use Windows Media Player to copy them to your portable device.

Note Before using Windows Media Player to copy files to your portable device, you should give each file a unique name or title instead of using generic names such as Track 1 or Track 2. This will prevent existing files with the same names from being overwritten on your portable device. You can edit any file information by right-clicking the file name, and then clicking Edit. For more information about how to edit file information, see Related topics.

To copy files to your portable device

  1. Click Portable Device, and then in the Music to Copy list, click the files that you want to copy.

    Note The list of items that you can choose from are organized by your playlists. Use the check mark icon checkbox at the top of the list to select all items or clear all items in the Music to Copy dialog box. This is helpful if you only want a few items from a large list.

  2. Clear any check boxes for tracks you do not want to copy, and then click Copy Music.

    All tracks in the list that are selected are copied to the portable device if space is available on the portable device.

    See the legend on the lower right edge of the display to view the percentage of free space on your portable device or storage card and an estimate of the percentage of disk space required for the files that you want to copy to the device. If 100 percent of the space on the portable device is used, none of the selected files are copied.

  3. Repeat steps 1-2 for any other playlist or file you want to copy to your portable device.

Note If you are using Microsoft Windows Media Player for Pocket PC or Microsoft Windows Media Player for Palm-size PC on your portable device, you can double-click tracks in Music on device to begin playback on your portable device.

Related topics

  • To edit CD information

  • Organizing your media collection

  • What types of media files can I copy to my portable device?

  • Copying licensed files to your portable device

  • Changing portable device settings

  • Configuring portable device options


What types of media files can I copy to my portable device?

Use Portable Device to copy or convert the following types of media files.

Format | File extension
Windows Media | .wma and .asf
Windows | .wav
Motion Picture Experts Group (MPEG) | .mp3

Note When you copy a Windows Media file with an .asf extension to a portable device, only the audio portion of the file is transferred.


Copying licensed files to your portable device

You can copy licensed files using Portable Device in the same way you copy any other content to your portable device. When you copy a licensed file to your portable device, Microsoft Windows Media Player copies the license too.

When you copy an audio file to a portable device, you can compress the file so that it uses less space on your portable device. By default, Windows Media Player will compress all files to a bandwidth of 128 kilobits per second (Kbps). If your file is smaller than this, it will not be compressed. You cannot use Windows Media Player to resample a file and make it sound better by selecting a larger bandwidth.

Note To transfer a licensed file, your portable device may require a hardware serial number. The person or company that provides a licensed file decides license rights; not all files will work after you copy them to a portable device.

Related topics

  • Understanding licensed files

  • Copying music to your portable device


Changing portable device settings

When you copy files to your portable device, Windows Media Player uses compression technology that makes the files smaller so that they don’t use as much space on your portable device. The compression technology is called Windows Media Audio, and it creates Windows Media files with a .wma extension, which are one of four file types your portable device can play.

Using the Portable Device feature, you can select the amount of compression used when copying files from your computer to your portable device. Typically, the more compression you use, the smaller the file is and the poorer the listening experience. The tradeoff is that when files are smaller, you can store more music on your portable device. The following compression rates are available:

  • 32 kilobits per second (Kbps), 22 kilohertz (kHz), Stereo. This format takes up the least amount of storage space on your portable device. It is a good choice for spoken word audio files or 64-Kbps .mp3 files.

  • 64 Kbps, 44 kHz, Stereo. This format produces sound that is near CD-quality, but it also takes up less storage space on your portable device. It is a good choice for use with source files, such as 128-Kbps .mp3 and Windows Media files that have already been compressed.

  • 128 Kbps, 44 kHz, Stereo. This format produces CD-quality sound, but it takes up more storage space on your portable device. It is a good choice when you want near exact duplication of a sound track from a CD or a source .wav file.

Related topics

  • What types of media files can I copy to my portable device?

  • Configuring portable device options


Understanding streaming media

Streaming media is a technology for delivering audio, video, or multimedia files across a network without waiting for the entire file to download. When you click an Internet link to open a streaming media file, the file is partially downloaded and stored in a buffer; this is called buffering. The file then begins to play. As more information in the file is streamed to Windows Media Player, it continues to buffer information before playing it. Windows Media Player does this so that if traffic on the Internet interrupts the flow of information, there will be no breaks or interference with the file as it plays. You will notice a break in play when the data in the buffer runs out.

Windows Media Player alerts you when information is buffering. All streaming Windows Media files buffer before they begin playing. Unlike a downloaded file, data is not saved to the hard disk drive when streaming files are done playing.

Windows Media Player also supports intelligent streaming; it monitors network conditions and automatically makes adjustments to ensure the best reception and playback.

When you play streamed media or CD tracks, you can view statistics and information about the quality of the connection and the performance of the playback. The information in the Statistics dialog box can help you determine whether you are receiving a quality data transmission.

To view statistics about content

  1. On the View menu, click Statistics.

  2. If you want more specific information, click the Advanced tab.

To view details about a file

  • On the File menu, click Properties.

    –or-

  • In Media Library, right-click the file in the right pane, and then click Properties.


Understanding intelligent streaming

Traffic on the Internet is extremely unpredictable, which can make for varied experiences when you must rely on the Internet for delivery of media. To create a consistent experience when receiving streaming media, Windows Media provides intelligent streaming.

Intelligent streaming is a way of creating a stream so that when a file is streaming, Windows Media Player detects network conditions and adjusts the properties of the stream to maximize quality. The highest-quality stream is delivered to you, regardless of network conditions. Intelligent streaming depends on the media being encoded at multiple bit rates. Windows Media Player has a variety of video streams to switch to when available network bandwidth fluctuates.


Understanding licensed files

Licensed files are Windows Media files that are secured from random distribution by attaching a license that is required to play the file. Content providers such as recording companies can secure their files so that they are less likely to be illegally copied and redistributed. If you use Windows Media Player to copy tracks from a CD, the copies of those tracks have associated licenses. Windows Media Player cannot play licensed files without a valid license. The license is used to secure the file to the computer where the file was downloaded or created. Windows Media Player tracks the location of your licenses for you.

Note You should back up your licenses to a floppy disk periodically. If you reinstall or upgrade the operating system, your licenses could be lost. For more information about how to back up licenses, see Related topics.

The following rules apply to licensed files:

  • You can play licensed files until the license expires. You are informed of the terms when you acquire the license.

  • You can acquire a license for a file in two ways. When you download a licensed file from the Internet, you are directed to an Internet site to register for the license (in some cases a fee is required). The license is downloaded to your computer and applies only to the file you downloaded. License rights and license acquisition scenarios are entirely dependent upon the person or company that provided the file. When you use Windows Media Player to copy a track from a CD, a license is automatically issued for it.

  • You cannot copy and share licenses among different computers. If you copy a licensed file to another computer or give a copy of the file to another person, you must register the license for that computer as well.

  • You can use the Portable Device feature to copy licensed files and associated licenses to your portable device only if the license includes these rights.

Related topics

  • Configuring Portable Device options

  • To back up your licenses


To back up your licenses

  1. On the Tools menu, click License Management.

  2. Click the Browse button.

  3. Select the location for the backup copies of your licenses, and then click OK.

    It is recommended that you back up your licenses to a floppy disk.

  4. In the License Management dialog box, click Backup Now.

    Note You should back up your licenses to a floppy disk periodically. If you reinstall or upgrade the operating system, your licenses could be lost. You can use the back up disks that you create to transfer licenses from an old computer to a new one, or to transfer licenses from a work computer to a home computer.

Related topics

  • To restore your licenses

  • Understanding licensed files


To restore your licenses

  1. On the Tools menu, click License Management.

  2. If required, insert the floppy disk where your licenses are stored.

  3. Select the location of the backup copies of your licenses, and then click OK.

  4. In the License Management dialog box, click Restore Now.

Related topics

  • Understanding licensed files


Supported media formats

You can play the following types of media files with Windows Media Player.

Format | File name extensions
CD Audio Track | .cda
Intel Video Technology | .ivf
Macintosh AIFF Resource | .aif, .aifc, .aiff
Windows Media | .asf, .asx, .wax, .wma, .wmv, .wvx, .wmp, .wmx
Windows formats | .avi, .wav
Windows Media Player skins | .wmz, .wms
Moving Picture Experts Group (MPEG) | .mpeg, .mpg, .m1v, .mp2, .mp3, .mpa, .mpe, .mpv2, .m3u
Musical Instrument Digital Interface (MIDI) | .mid, .midi, .rmi
UNIX | .au, .snd


Using shortcut and accelerator keys

Windows Media Player has a variety of shortcut keys. Use these keystrokes to control Windows Media Player from your keyboard or with macros. The shortcut and accelerator keys are organized according to where they are in Windows Media Player.

Now Playing feature

Media Guide feature

CD Audio feature

Media Library feature

Radio Tuner feature

Portable Device feature

Skin Chooser feature

File menu

View menu

Play menu

Tools menu

Help menu

Anchor

Skins shortcut menu

Transport


Now Playing feature

The Now Playing feature includes accelerator keys for visualizations. You can only move one way through the visualizations, which is why TAB+ENTER is listed for both Previous and Next visualization functions. Use the TAB key to move through the options and press ENTER to select that option.

Function | Accelerator keys
Previous visualization | TAB+ENTER to move to the next visualization
Next visualization | TAB+ENTER to move to next visualization


Media Guide feature

Use the TAB key to move around and press ENTER to select the item in the Media Guide feature. Use the arrow keys to navigate drop-down menus.


CD Audio feature

These are the shortcut keys for the items in the CD Audio feature.

Function | Shortcut Keys
Copy Music | ALT+C
Stop Copy | ALT+S
Get Names | ALT+G
Album Details | ALT+A
Back | ALT+B


Media Library feature

The following table lists the accelerator and shortcut keys for the items in the Media Library feature.

Function | Accelerator keys | Shortcut keys
New Playlist |  | ALT+N
Add to Playlist |  | ALT+A
Search |  | ALT+S
Media Details |  | ALT+M
Back |  | ALT+B
Add (icon button no label) |  | TAB+ENTER
Add Currently playing | ALT+F+L+T | TAB+ENTER+T
Add file… | ALT+F+L+F | TAB+ENTER+F
Add URL… | ALT+F+L+U | TAB+ENTER+U
Delete (icon button no label) |  | TAB+ENTER or SHIFT+F10 when item is selected to open Context menu.
Delete from playlist |  | TAB+ENTER+P
Delete from library |  | TAB+ENTER+L
Delete playlist |  | TAB+ENTER+A
Move Up (icon button no label) |  | TAB+ENTER; SHIFT+F10+U
Move Down (icon button no label) |  | TAB+ENTER+F10+D


Radio Tuner feature

Use the TAB key to move around and press ENTER to select the item in the Radio Tuner feature. Use the arrow keys to navigate drop-down menus.


Portable Device feature

These are the accelerator and shortcut keys for the items in the Portable Device feature.

Function | Accelerator Keys | Shortcut Keys
Copy Music | ALT+C |
Cancel | ALT+L |
Delete | TAB+ENTER or SHIFT+F10 on media items to get to context menu delete options. | Use the DELETE key when an item is selected.
Delete | TAB+ENTER+D |
Delete All | TAB+ENTER+A |
Move Up | TAB+ENTER; SHIFT+F10+U | UP ARROW—moves focus
Move Down | TAB+ENTER; SHIFT+F10+D | DOWN ARROW—moves focus
Refresh |  | F5


Skin Chooser feature

The following table lists the shortcut keys for the items in the Skin Chooser feature.

Function | Accelerator keys | Shortcut keys
Apply Skin | ALT+A |
More Skins | ALT+S |
Delete (icon button, no label) |  | DELETE key


File menu

The following table lists the accelerator and shortcut keys for the items on the File menu.

Function | Accelerator keys | Shortcut keys
File menu | ALT+F |
Open | ALT+F+O | CTRL+O
Open URL | ALT+F+U | CTRL+U
Close | ALT+F+C | CTRL+W
Add to Library | ALT+F+L |
Add currently playing track | ALT+F+L+T |
Add file… | ALT+F+L+F |
Add URL… | ALT+F+L+U |
Import Playlist to Library… | ALT+F+I |
Export Playlist to File… | ALT+F+E |
Properties | ALT+F+P |
Work Offline | ALT+F+W |
Exit | ALT+F+X | ALT+F4


View menu

The following table lists the accelerator and shortcut keys for the items on the View menu.

Function | Accelerator keys | Shortcut keys
View Menu | ALT+V |
Full Mode |  | CTRL+1
Compact Mode | ALT+V+C | CTRL+2
Now Playing Tools | ALT+V+N |
Task Bar | ALT+V+B |
Visualizations | ALT+V+V |
Statistics | ALT+V+T |
Refresh | ALT+V+R |


Play menu

The following table lists the accelerator and shortcut keys for the items on the Play menu.

Function | Accelerator keys | Shortcut keys
Play/Pause | ALT+P+P | CTRL+P
Stop | ALT+P+S | CTRL+S
Skip Back | ALT+P+B | CTRL+B
Skip Forward | ALT+P+F | CTRL+F
Shuffle | ALT+P+H | CTRL+H
Repeat | ALT+P+T | CTRL+T
Volume | ALT+P+U |
Up | ALT+P+U+U | F10
Down | ALT+P+U+D | F9
Mute | ALT+P+U+M | F8


Tools menu

The following table lists the accelerator and shortcut keys for the items on the Tools menu.

Function | Accelerator keys | Shortcut keys
Tools Menu | ALT+T |
Download Visualizations | ALT+T+D |
Search Computer For | ALT+T+S | F3
Options… | ALT+T+O |


Help menu

The following table lists the accelerator and shortcut keys for the items on the Help menu.

Function | Accelerator keys | Shortcut keys
Help Menu | ALT+H |
Help Topics | ALT+H+H | F1
Check For Player Upgrades | ALT+H+U |
About Windows Media | ALT+H+A |


Anchor

The following table lists the accelerator and shortcut keys for the items on the Anchor.

Function | Accelerator keys | Shortcut keys
Access to Anchor context menu | ALT+HOME |
Return to Full mode | ALT+HOME+R | CTRL+1
Select a new skin | ALT+HOME+S |
Open | ALT+HOME+O | CTRL+O
Open URL | ALT+HOME+U | CTRL+U
Exit | ALT+HOME+X |


Skins shortcut menu

The following table lists the accelerator and shortcut keys for the items on the Skins shortcut menu which is available only when Windows Media Player is in compact mode. The Skins shortcut menu provides access to a variety of commands that are available when Windows Media Player is in full mode.

The following table lists the accelerator and shortcut keys to use when you are using a skin file to view Windows Media Player.

Function | Accelerator keys | Shortcut keys
Access to shortcut menu |  | SHIFT+F10
Navigation through menu |  | SHIFT+F10, arrow keys, and ENTER
Close shortcut menu |  | ESC
Open | SHIFT+F10+O | CTRL+O
Open URL | SHIFT+F10+U | CTRL+U
Shuffle |  | CTRL+H
Repeat | SHIFT+F10+R | CTRL+T
Volume |  |
Up |  | F10
Down |  | F9
Mute |  | F8
Play/Pause |  | CTRL+P
Stop |  | CTRL+S
Skip Back |  | CTRL+B
Skip Forward |  | CTRL+F
Return to Full Mode | SHIFT+F10+M | CTRL+1
Statistics | SHIFT+F10+T |
Help | SHIFT+F10+H | F1


Transport

The following table lists the shortcut strokes for the actions that are available on the tool bar at the bottom of the screen when in full mode. These keystrokes are also available when Windows Media Player is in compact mode, depending on the skin.

Function | Accelerator keys | Shortcut keys
Play/Pause | ALT+P+P | CTRL+P
Stop | ALT+P+S | CTRL+S
Mute | ALT+P+U+M | F8
Up (Volume) | ALT+P+U+U | F10
Down (Volume) | ALT+P+U+D | F9
Previous Track (Skip Back) | ALT+P+B | CTRL+B
Rewind | ALT+P+R |
Fast Forward | ALT+P+A |
Next Track (Skip Forward) | ALT+P+F | CTRL+F


Accessibility for people with disabilities

Microsoft is committed to making its products and services easier for everyone to use. The following topics provide information about the features and products and services that make Microsoft Windows more accessible for people with disabilities:

  • Customizing Windows, Windows NT, or Windows 2000

  • Microsoft services for people who are deaf or hard-of-hearing

  • Microsoft documentation in alternative formats

  • Utilities to enhance accessibility

  • Getting more accessibility information

Note The information in this topic applies only to users who license Microsoft products in the United States. If you obtained this product outside the United States, your package contains a subsidiary information card listing Microsoft support services telephone numbers and addresses. You can contact your subsidiary to find out whether the type of products and services described in this topic are available in your area.


Customizing Windows, Windows NT, or Windows 2000

There are many ways you can customize Windows, or Windows NT to make your computer more accessible.

  • Accessibility features have been built into Windows, Windows NT, or Windows 2000 since the introduction of Windows 95. These features are useful for individuals who have difficulty typing or using a mouse, have moderately impaired vision, or who are deaf or hard-of-hearing. The features can be installed during setup, or you can add them later from your Windows installation disks.

  • For information about installing and using these features, look up “accessibility” in the Windows Help Index.

  • Some of the accessibility features built into Windows, Windows NT, or and Windows 2000 can be added to earlier versions of those products, and to MS-DOS, through Access Pack files. You can download these files or you can order them on disks from Microsoft. (See details in “Accessibility Notes and Utilities to Download” later in this appendix.)

  • You also can use Control Panel and other built-in features to adjust the appearance and behavior of Windows or Windows NT to suit varying vision and motor abilities. These include adjusting colors and sizes, sound volume, and the behavior of the mouse and keyboard.

  • In Windows 98, the majority of accessibility settings can be set through the Accessibility Wizard or Control Panel. The Accessibility Wizard presents features sorted by disability, making it easy to customize Windows to each individual’s needs. The Accessibility Wizard also enables you to save your settings to a file that can be used on another computer.

  • Dvorak keyboard layouts make the most frequently typed characters on a keyboard more accessible if you have difficulty using the standard QWERTY layout. There are three Dvorak layouts: one if you are a two-handed user, one if you type with your left hand only, and one if you type with your right hand only. You do not need to purchase any special equipment to use these features.

The specific features available, and whether they are built-in or must be obtained separately, depend on which operating system you are using.

For full documentation on the accessibility features available in the operating system you are using, obtain the documents listed below. Accessibility features are also documented in the Microsoft Windows 95 Resource Kit, the Microsoft Windows 98 Resource Kit and the Microsoft Windows NT Resource Kit.


Accessibility notes and utilities to download

The following documents explain how to customize Microsoft Windows and Windows NT for users with disabilities. Specific instructions for downloading the files immediately follow this list.

For | You need
Customizing Windows for Individuals with Disabilities (describes all of the other documents in this list and includes links to download them; this article will be updated when new versions of Microsoft operating systems are released) | Microsoft Knowledge Base article Q165486.
Customizing Microsoft Windows 95 for individuals with disabilities | Cst_W95.exe
Customizing Microsoft Windows NT 4.0 for individuals with disabilities | Cst_NT4.exe
Customizing Microsoft Windows NT 3.1 and 3.5 for individuals with disabilities (includes Access Pack for Microsoft Windows NT, which provides features for people who have difficulty using a keyboard or mouse, or who are deaf or hard-of-hearing) | Cst_NT3x.exe
Customizing Microsoft Windows 3.1 for individuals with disabilities | Cst_W3x.exe
Customizing Microsoft Windows for Workgroups 3.1 for individuals with disabilities | Cst_WG3x.exe
Customizing Microsoft Windows 3.0 for individuals with disabilities | Cst_W30.exe
Access Pack for Microsoft Windows 3.0 and 3.1, which provides features for people who have difficulty using a keyboard or mouse, or who are deaf or hard-of-hearing | ACCP.EXE
Dvorak keyboard layouts for people who type with one hand (already included in Windows NT version 3.5 and later) | GA0650.EXE


To download the files

If you have a modem or another type of network connection, you can download the accessibility files from the following network services:

  • Microsoft Accessibility Web site

  • Microsoft Technical Support Web site. In the My search is about list, select All Microsoft Products. In the I want to search by list, select Specific article ID number, and then enter Q165486 in the box labeled My question is. The search results will display a link to the Knowledge Base article, "Customizing Windows for Individuals with Disabilities," which includes links to all of the documents listed above about customizing Windows operating systems.

  • Microsoft Internet server at ftp.microsoft.com, in /softlib/mslfiles.

Web addresses can change, so you might be unable to connect to the Web site or sites mentioned here.


Microsoft services for people who are deaf or hard-of-hearing

If you are deaf or hard-of-hearing, complete access to Microsoft product and customer services is available through a text telephone (TT/TDD) service.


Customer service

You can contact Microsoft Sales Information Center on a text telephone by dialing (800) 892-5234 between 6:30 AM and 5:30 PM Pacific time.


Technical assistance

For technical assistance in the United States, you can contact Microsoft Support Network on a text telephone at (425) 635-4948 between 6:00 AM and 6:00 PM Pacific time, Monday through Friday, excluding holidays. In Canada, dial (905) 568-9641 between 8:00 AM and 8:00 PM Eastern time, Monday through Friday, excluding holidays. Microsoft support services are subject to Microsoft prices, terms, and conditions in place at the time the service is used.


Microsoft documentation in alternative formats

In addition to the standard forms of documentation, many Microsoft products are also available in other formats to make them more accessible. If you have difficulty reading or handling printed documentation, you can obtain many Microsoft publications from Recording for the Blind & Dyslexic, Inc. RFB&D distributes these documents to registered, eligible members of their distribution service, either on audio cassettes or on floppy disks. The RFB&D collection contains more than 80,000 titles, including Microsoft product documentation and books from Microsoft Press. You can download many of these books from the Microsoft Accessibility Web site

For more information, contact Recording for the Blind & Dyslexic at the following address or phone numbers:

Recording for the Blind & Dyslexic, Inc.
20 Roszel Road
Princeton, NJ 08540

Phone: (609) 452-0606
Fax: (609) 987-8116

Recording for the Blind & Dyslexic Web site

Web addresses can change, so you might be unable to connect to the Web site or sites mentioned here.


Utilities to enhance accessibility

A wide variety of hardware and software products are available to make personal computers easier to use for people with disabilities. Among the different types of products available for the MS-DOS, Windows, Window NT operating systems are:

  • Programs that enlarge or alter the color of information on the screen for people with visual impairments

  • Programs that describe information on the screen in Braille or synthesized speech for people who are blind or have difficulty reading

  • Hardware and software utilities that modify the behavior of the mouse and keyboard

  • Programs that enable people to “type” using a mouse or their voice

  • Word or phrase prediction software that enables users to type more quickly and with fewer keystrokes

  • Alternative input devices, such as single switch or puff-and-sip devices, for people who cannot use a mouse or a keyboard


Getting more accessibility information

In addition to the features and resources already described in this topic, other products, services, and resources for people with disabilities are available from Microsoft and other organizations.


Microsoft

Microsoft provides a catalog of accessibility aids that can be used with the Windows and Windows NT operating systems. You can obtain this catalog from our Web site or by phone:

Microsoft Sales Information Center
One Microsoft Way
Redmond, WA 98052-6393
Voice telephone: (800) 426-9400
Text telephone: (800) 892-5234

Microsoft Accessibility Web site

Web addresses can change, so you might be unable to connect to the Web site or sites mentioned here.


Macintosh Disability Solutions

For more information on products and services for the Macintosh for people with disabilities, contact:

Macintosh Disability Solutions Web site

Web addresses can change, so you might be unable to connect to the Web site or sites mentioned here.


Trace R&D Center

The Trace R&D Center at the University of Wisconsin-Madison publishes a database of more than 18,000 products and other information for people with disabilities. The database is available on their site on the World Wide Web. The Trace R&D Center also publishes a book, titled Trace ResourceBook, which provides descriptions and photographs of about 2,000 products.

To obtain these directories, contact:

Trace R&D Center
University of Wisconsin–Madison
5901 Research Park Boulevard
Madison, WI 53719-1252
Fax: (608) 262-8848

Trace Research & Development Center Web site

Web addresses can change, so you might be unable to connect to the Web site or sites mentioned here.


Windows Media Player glossary

This glossary defines terms used in Windows Media Player. In addition to Windows Media Player terms, Microsoft Windows Media Technologies and other common industry terms are also defined.

To find a term in the glossary, click the letter of the alphabet that is the first letter in the term you want to look up.

You can also read glossary terms within the text of Help by clicking the underlined glossary term links. After you click a glossary link, the glossary term and definition appear in a pop-up window. To close the window, click anywhere on the screen.

A | B | C | D | E | F | G | H | I | J | K | L | M
N | O | P | Q | R | S | T | U | V | W | X | Y | Z


Glossary

To find a term in the glossary, click the letter of the alphabet that is the first letter in the term you want to look up.

A | B | C | D | E | F | G | H | I | J | K | L | M
N | O | P | Q | R | S | T | U | V | W | X | Y | Z

A

accelerator keys

A key or combination of keys that when pressed will quickly perform an action within an application that would normally require several user actions, such as menu selections.

analog

The traditional format in which audio and video are transmitted using a wave or analog signal.

anchor window

A small window that is displayed in the lower-right corner of the screen when Windows Media Player is in compact mode. See also compact mode.

B

band

The transmission method used by the radio station (AM, FM, or Internet). Internet radio stations usually play a preset, taped list of songs and commercials.

bandwidth

The data transfer capacity of a digital communications system, such as the Internet or a local area network (LAN). Bandwidth is usually expressed in the number of bits that a system is capable of transferring in a second: bits per second (bps). High bandwidth or broadband refers to a network capable of a fast data transfer rate.

bit rate

The speed at which digital audio and video content streams from a source, such as a file, to be rendered properly by a player, or the speed at which binary content in general is streamed on a network. Bit rate is usually measured in kilobits per second (Kbps), for example, 28.8 Kbps. The bit rate of a Windows Media file or live stream is determined during the encoding process, when the streaming content is created. Bandwidth is the total bit-rate capacity of a network. For audio and video content to render properly when streaming over a network, the bandwidth of the network must be high enough to accommodate the bit rates of all the different content that is being streamed concurrently.

broadband

A high-speed transmission. The term is commonly used to refer to communications lines or services at T1 rates (1.544 Mbps) or cable modem rates and above.

buffer

A small amount of RAM that Windows Media Player uses as a loading area for information before playing it. When you play a file or stream, Windows Media Player fills up the buffer before it begins playing so that you won't notice minor problems with traffic on the Internet or the local network.

C

call sign

The identifying code letters or numbers of a radio or television transmitting station, assigned by a regulatory body.

captions

Text that describes the audio or video you are playing, similar to closed-captioning.

CD

See also compact disc.

central processing unit (CPU)

The computational and control unit of a computer. The central processing unit is the device that interprets and executes instructions.

codec

Short for compressor/decompressor. Codecs are various types of computer algorithms that are applied to audio, video, and image files to compress the size of the files. The benefit of this is the files do not use as much disk space when stored or as much network bandwidth when streamed. To open a compressed file, the same codec must be used to decompress the file. If your computer does not have the correct codec to decompress a file, Windows Media Player will attempt to download the codec for you.

compact disc (CD)

An optical storage medium for digital data, usually audio. A compact disc is a nonmagnetic, polished metal disc with a protective plastic coating that can hold up to 74 minutes of high-fidelity recorded sound.

compact mode

A reduced operational state of Windows Media Player (both in size and function), allowing more room on your screen for other applications. You can customize this Windows Media Player mode by applying a different skin. To make sure you are in compact mode, press CTRL+2.

compression

The coding of data to reduce file size or the bit rate of a stream. Content that has been compressed is decompressed for playback.

compression quality

Determines the quality of the digital audio as the data is copied to your computer or portable device, or the quality of music as it is streamed to Windows Media Player. The better the compression quality used, the more disk space a copied file uses.

connection speed

The speed at which your computer connects to the Internet or a network.

D

digital copying

A method of copying media items using a digital format.

digital playback

The process of playing a media item using a digital format. Computers use digital format, so data must be converted to this format, and then encoded to be played on a computer. Data that is digital has been converted to ones and zeros.

download

A method of delivering content over a network in which the content is copied to a client computer and then played locally. This method is different from streaming because the source media is copied from the server to the client computer. See also streaming

E

encode

The process of compressing and separating a file into packets of information for delivery over a network. Windows Media Player can play a file that has been encoded into a Windows Media file (the file created when you copy a CD track) or stream (what your computer receives when you listen to a live radio station delivered over the Internet).

encrypt

The process of packaging media items with a key. Once a media item has been encrypted, it cannot be played without the key.

error correction

A method of controlling and correcting data transmission errors that occur when streaming.

F

file extension

A set of characters added to a file name that serves to extend or clarify its meaning or to identify a file as a member of a category. An extension may be assigned by the user or by a program, as, for example, .avi or .txt. Also known as file name extension.

file format

See file extension; media formats.

file type

See file extension.

firewall

A security system intended to protect an organization’s network from external threats, such as hackers, coming from another network, such as the Internet.

format

The type of music (genre), such as rock, or classical, played by a radio station.

frequency

The number, such as 88.5 or 101.7, that is used to tune into a radio station.

full mode

The operational state of Windows Media Player that displays a complete set of toolbars. To make sure you are in full mode, press CTRL+1.

G

genre

The category that best describes the type of music, such as classical or jazz.

H

HTTP

The Internet protocol that delivers information over the World Wide Web. HTTP is the acronym for hypertext transfer protocol.

I

intelligent stream

A type of streaming that detects network conditions and adjusts the properties of a video or audio stream to maximize quality. See also streaming.

L

licensed files

Windows Media files that have an associated license restricting the copying of that file. The restrictions stated in the license will vary depending on the license creator. Any file created by copying a CD track using Windows Media Player is assigned a license that restricts the playing of that file to the computer where the file was created.

M

media formats

The types of media files that can be played using Windows Media Player. Supported media formats include the following: .aif, .aifc, .aiff, .asf, .asx, au, .avi, .cda, .ivf, .m1v, .m3u, .mid, .midi, mp2, .mp3, .mpa, .mpe, .mpeg, .mpg, .mpv2, .rmi, .snd, .wax, .wav, .wma, .wms, wmv, .wvx, .wmz. See also Windows Media Format.

media information

Information, such as the album cover, label, artist name, and length, gathered from the Internet about a CD. An Internet connection is required to access this information.

Moving Picture Experts Group (MPEG)

A set of standards for audio and video compression established by the Joint ISO/IEC Technical Committee on Information Technology. The MPEG standard has different types that have been designed to work in different situations.

MP3 (MPEG Audio Layer 3)

A computer file format that compresses audio files far smaller than previously required for CD-quality recordings. A minute of music, or several minutes of spoken words, encoded in MP3 require only about one megabyte of disc space, about one-tenth of what the older .wav format required. MP3 has made quick transfer of CD-quality music over the Internet practical.

multicast

A one-to-many client/server connection in which multiple clients receive the same stream from a server. To receive a multicast, a client listens to a specific IP address on a multicast-enabled network, like tuning a television to a specific channel. In contrast, a unicast is a one-to-one connection in which each client receives a separate stream from a server.

multiple bit rates

A term used to identify streams that can be delivered at several speeds. Typically a stream has only one speed or bit rate. However, some streams are created so that if network traffic hinders the delivery of the stream, the stream will switch to a lower bit rate in an attempt to make the flow of information consistent. If the flow of information slows down, you’ll notice breaks in the audio and/or video or the stream will stop.

musical instrument digital interface (MIDI)

An agreed-upon structure for representing musical sounds, such as from a synthesizer, in a form that a computer can interpret.

P

personal rights management

The technology for securing content and managing the rights for its access. Also known as digital rights management.

playlist

A personalized list of links to various media files on your computer, your network, or the Internet, including radio stations and broadband broadcasts. You can create a playlist from any combination of media items. The items in the list are played sequentially.

port

A number that enables the sending of IP packets to a particular process on a computer connected to a network. Ports are most often identified with a particular service. For example, port 80 on an Internet computer indicates a Web server.

portable device

A computing device or storage card that is not a desktop computer. Portable devices can be computing devices, such as palm-size PCs and pocket PCs, or can be storage cards, such as CompactFlash cards or micro drives. Computing devices typically connect to a computer via a COM port. Storage cards typically are used in the computing devices as additional storage.

protocol

A set of rules or standards that allow computers to communicate. Internet protocols used to receive streaming media are UDP, TCP, HTTP.

proxy server

A firewall component that manages Internet traffic to and from your network.

S

shortcut keys

A key or combination of keys that when pressed will quickly perform an action within an application that would normally require several user actions, such as menu selections.

skin

A file that customizes the look and functionality of Windows Media Player. When Windows Media Player is in compact mode, it will appear and work as the skin directs.

streaming

A method of delivering content, in which media content is located on a server and then played by sending the data across a network in a continuous flow. Streaming data enables Windows Media Player to begin rendering the data immediately instead of waiting for the entire file to be downloaded.

T

tracks

The individual songs from a CD.

Transmission Control Protocol (TCP)

The protocol within TCP/IP that governs the breakup of data messages into packets to be sent via IP, and the reassembly and verification of the complete messages from packets received by IP.

U

User Datagram Protocol (UDP)

The connectionless protocol within TCP/IP that corresponds to the transport layer in the ISO/OSI model. UDP converts data messages generated by an application into packets to be sent via IP but does not verify that messages have been delivered correctly.

V

visualization

Splashes of color and geometric shapes that change with the beat of the audio that is currently playing.

visualization collection

A group of visualizations focused on specific themes.

W

Windows Media file

A file, typically with an .asf or .wma extension, which contains audio, video, or script data. These files are highly optimized for streaming, yet they provide dynamic sound when downloaded and played by Windows Media Player.

Windows Media Format

The format used by Microsoft Windows Media Technologies (or a third party product that incorporates a licensed Windows Media technology) to author, store, edit, distribute, stream, or play timeline-based content.


Legal Notice

Information in this document, including URL and other Internet Web site references, is subject to change without notice. Unless otherwise noted, the example companies, organizations, products, people and events depicted herein are fictitious and no association with any real company, organization, product, person or event is intended or should be inferred. Complying with all applicable copyright laws is the responsibility of the user. Without limiting the rights under copyright, no part of this document may be reproduced, stored in or introduced into a retrieval system, or transmitted in any form or by any means (electronic, mechanical, photocopying, recording, or otherwise), or for any purpose, without the express written permission of Microsoft Corporation.

Microsoft may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Microsoft, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

© 2000 Microsoft Corporation. All rights reserved.

Microsoft, MS-DOS, Windows, Windows Media, Windows NT, ActiveSync, ActiveX, DirectDraw, DirectShow, FrontPage, JScript, Microsoft Press, NetShow, Outlook, PowerPoint, SQL Server, Visual Basic, Visual C++, Visual InterDev, Visual J++, Visual Studio, Win32, and Win32s are either registered trademarks or trademarks of Microsoft Corporation in the U.S.A. and/or other countries.

The names of actual companies and products mentioned herein may be the trademarks of their respective owners.